<?php
#==============================================================================================#
#                                   Name  :  Imperial CHAT                                     #
#                               Made by  :  MaZaFaKa (___хакер___)                             #
#                                  MODED :  vipsds  (   BOT  )                                 #
#                                  ICQ  :  350502220 (vipsds)                                  #
#                                E-mai :  vipsds@wapnn.org                                     #
# По всем вопросам и дополнительным модам обращайтесь на выше указанные данные                 #
#==============================================================================================#
error_reporting(0);
include('start.php');
include("config.php");
include("./includes/constants/add");
include("./includes/".$ver."/banned");

$bots = file("bots/bots.dat");
$ttl="Сказать";
$nocache = rand(10000, 99999);

list($msec, $sec) = explode(chr(32), microtime());
$headtime = $sec + $msec;

switch($ver)
{
////////////////////////////////////////////////////////
//WML VERSION
////////////////////////////////////////////////////////
case 'wml':
header("Content-type:text/vnd.wap.wml; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT * FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");

if(mysql_affected_rows() == 0)
{
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"Ошибка\" ontimer=\"/wml\"><timer value=\"15\"/><p align=\"left\">\n";
echo "<small>Ошибка авторизации!<br/>\n";
echo "<br/>$wmlfoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] сек.<br/>\n";
echo "</small></p></card></wml>";
exit();
}
else
{
$user = mysql_fetch_array($q);
$kick = $user['kick'];
$moder = $user['moder'];
$reason = $user['reason'];
}
//END AUTH

echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"Ошибка\" ontimer=\"/menu/wml\"><timer value=\"15\"/><p align=\"left\">\n";
echo "<small>".VERSION_ERROR."<br/>\n";
echo "<br/>$wmlfoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] сек.<br/>\n";
echo "</small></p></card></wml>";
break;

////////////////////////////////////////////////////////
//HTML VERSION
////////////////////////////////////////////////////////
case 'html':
header ("Content-type: text/html; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT * FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">Ошибка</div>';
echo "<div class=\"d5\">Ошибка авторизации!</div>\n";
echo'<div class="d3">';
echo"$sitefoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] сек.<br/>\n";
echo'</div>';
echo "</body></html>";
exit();
}
else
{
$user = mysql_fetch_array($q);
$kick = $user['kick'];
$moder = $user['moder'];
$reason = $user['reason'];
$ban = $user['ban'];
$level = $user['level'];
$translit = $user['translit'];
$fsize = $user['fsize'];

}
//END AUTH
$rid = intval($_GET['rid']);

$sql = mysql_query("SELECT * FROM `chat_rooms` WHERE `id` = '".$rid."';");

if(mysql_affected_rows() == 0)
{
echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">Ошибка</div>';
echo "<div class=\"d5\">Такой комнаты не существует.</div>\n";
echo'<div class="d3">';
echo"$sitefoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] сек.<br/>\n";
echo'</div>';
echo "</body></html>";
exit();
}

if($kick > time())
{
echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">Ошибка</div>';
echo "<div class=\"d5\">Вы Забаненны модератором <u>$moder</u>. Разбан будет через <u>".($kick - time())."</u> сек.<br/>\n";
echo "Причина: $reason</div>\n";
echo'<div class="d3">';
echo"$sitefoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] сек.<br/>\n";
echo'</div>';
echo "</body></html>";
exit();
}

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = '".$rid."', `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE

if($fsize == 0)
{
$fsize = "small";
}
if($fsize == 1)
{
$fsize = "normal";
}
if($fsize == 2)
{
$fsize = "large";
}
echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">'.$ttl.'</div>';
echo "<form action=\"/room/html/$rid/$nocache\" method=\"post\">\n";
echo "<input type=\"text\" name=\"msg\" maxlength=\"300\" value=\"\"/>";
echo "<br/>\n";
if($translit == 1)
{
echo "Транслитировать:\n";
echo "<input type=\"checkbox\" name=\"translit\" value=\"true\" checked=\"checked\" /><br/>\n";
}

if($level > 0)
{
echo "Атрибуты:\n";
echo "</select><br/>\n";
echo "<select name=\"attributs\" multiple=\"multiple\">\n";
if($level > 2) echo "<option value=\"bold\">Жирный</option>\n";
echo "<option value=\"underline\">Подчеркнутый</option>\n";
if($level > 3)echo "<option value=\"italic\">Курсив</option>\n";
echo "</select><br/>\n";
}

if($level > 3)
{
echo "Размер:<br/>\n";
echo "<select name=\"fsize\">\n";
echo "<option value=\"0\">Маленький</option>\n";
echo "<option value=\"1\" selected=\"selected\">Нормальный</option>\n";
echo "<option value=\"2\">Большой</option>\n";
echo "</select><br/>\n";
}

echo "Цвет:<br/>\n";
echo "<select name=\"options\">\n";
echo "<option value=\"0\" selected=\"selected\">Черный</option>\n";
echo "<option value=\"1\">Красный</option>\n";
echo "<option value=\"2\">Синий</option>\n";
echo "<option value=\"3\">Зеленый</option>\n";
echo "<option value=\"4\">Серый</option>\n";
echo "<option value=\"5\">Оранжевый</option>\n";
echo "<option value=\"6\">Голубой</option>\n";
echo "<option value=\"7\">Зеленый лесной</option>\n";
echo "<option value=\"8\">Красно-фиолетовый</option>\n";
echo "<option value=\"9\">Темно-бордовый</option>\n";
echo "<option value=\"10\">Фиолетово-синий</option>\n";
echo "</select><br/>\n";

$ones = mysql_query("SELECT * FROM `chat_users` WHERE `id` = '".$id."';");
$priverka = mysql_fetch_array($ones);

$emotions = $priverka['emotions'];
$bystrsmile = $priverka['bystrsmile'];

if($emotions == 1)
{
echo "Эмоции:<br/>\n";
echo "<select name=\"emotions\">\n";
echo "<option value=\"0\" selected=\"selected\">Без эмоций</option>\n";
echo "<option value=\"1\">Радостно</option>\n";
echo "<option value=\"2\">Печально</option>\n";
echo "<option value=\"3\">Удивленно</option>\n";
echo "<option value=\"4\">Ласково</option>\n";
echo "<option value=\"5\">Смущенно</option>\n";
echo "<option value=\"6\">Кокетливо</option>\n";
echo "<option value=\"7\">Обиженно</option>\n";
echo "<option value=\"8\">Настойчиво</option>\n";
echo "<option value=\"9\">Шепотом</option>\n";
echo "<option value=\"10\">Задумчиво</option>\n";
echo "<option value=\"11\">Злобно</option>\n";
echo "</select><br/>\n";
}

if($bystrsmile == 1)
{
echo "Смайл:<br/>\n";
echo "<select name=\"bystrsmile\">\n";
echo "<option value=\"0\" selected=\"selected\">Нет</option>\n";
echo "<option value=\"1\">Улыбка</option>\n";
echo "<option value=\"2\">Тусовщик</option>\n";
echo "<option value=\"3\">В шоке</option>\n";
echo "<option value=\"4\">Влюблён</option>\n";
echo "<option value=\"5\">Злой</option>\n";
echo "<option value=\"6\">Кушаю</option>\n";
echo "</select><br/>\n";
}

echo "<input type=\"submit\" value=\"Сказать\" /></form></div>\n";
echo "<div class=\"d1\">• <a href=\"/room/html/$rid/$nocache\">В чат</a><br/>\n";
echo "• <a href=\"/menu/html/$nocache\">В прихожую</a></div>\n";
echo'<div class="d3">';
echo"$sitefoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] сек.<br/>\n";
echo'</div>';
echo "</body></html>";
break;


}
?>